Subject: Re: [PATCH 8/5] SubmittingPatches: use of older maintenance tracks is an exception

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Jul 2023 13:08:44 -0700

Linus Arver <[email-masked]> writes:

> I just have small wording nits (see below), but otherwise LGTM.

Thanks.  Rolled typo/format fixes in.

1:  e3386ce69d ! 1:  f835de52d7 SubmittingPatches: explain why 'next' and above are inappropriate base
    @@ Documentation/SubmittingPatches: latest HEAD commit of `maint` or `master` based
     +flight work well together. This is why both `next` and `seen` are
     +frequently re-integrated with incoming patches on the mailing list and
     +force-pushed to replace previous versions of themselves. A topic that is
    -+literally built on top of `next` cannot be merged to 'master' without
    ++literally built on top of `next` cannot be merged to `master` without
     +dragging in all the other topics in `next`, some of which may not be
     +ready.
      
2:  6b2650d32f ! 2:  369998df83 SubmittingPatches: use of older maintenance tracks is an exception
    @@ Documentation/SubmittingPatches: latest HEAD commit of `maint` or `master` based
      * Otherwise (such as if you are adding new features) use `master`.
      
     +
    -+NOTE: In an exceptional case, a bug that was introduced in an old
    ++NOTE: In exceptional cases, a bug that was introduced in an old
     +version may have to be fixed for users of releases that are much older
     +than the recent releases.  `git describe --contains X` may describe
     +`X` as `v2.30.0-rc2-gXXXXXX` for the commit `X` that introduced the
     +bug, and the bug may be so high-impact that we may need to issue a new
     +maintenance release for Git 2.30.x series, when "Git 2.41.0" is the
     +current release.  In such a case, you may want to use the tip of the
    -+maintenance branch for the 2.30.x series, which may be available as
    ++maintenance branch for the 2.30.x series, which may be available in the
     +`maint-2.30` branch in https://github.com/gitster/git[the maintainer's
     +"broken out" repo].
     +